%define module_name pybugz
%define shortname bugz
%define git_commit 74a57cb
%define distname williamh-%{module_name}-%{git_commit}

%define name python-bugz
%define release	%mkrel 2
Summary:    A python and command line interface to Bugzilla 
Name:		%name
Version:	0.10.1
Release:	%release
Source0:	pybugz-%version.tar.gz
License:	GPL
Group:		Development/Python
Url:		https://github.com/williamh/pybugz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: python-devel
BuildArch: noarch

%description
PyBugz is a python and command line interface to Bugzilla.

It was conceived as a tool to speed up the workflow for Gentoo Linux developers
and contributors when dealing with bugs using Bugzilla. By avoiding the clunky 
web interface, the user quickly search, isolate and contribute to the project 
very quickly. 
Developers alike can easily extract attachments and close bugs all from the 
comfort of the command line.

PyBugz is written in Python and written in a way to be extended easily for 
use on other Bugzillas.  

%prep
%setup -q -n %{distname}
perl -pi -e 's|https://bugs.gentoo.org/|https://bugs.mageia.org/|' bugz/argparsers.py

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root) 
%doc README
%_bindir/bugz
%{py_sitedir}/%{shortname}/
%{py_sitedir}/%{module_name}-%{version}-py%{pyver}.egg-info


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.10.1-2.mga3
+ Revision: 378509
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 22 2012 blino <blino> 0.10.1-1.mga3
+ Revision: 309315
- use mageia bugzilla url
- update URL (use github)
- 0.10.1
- drop old patches that should not be necessary with the new xmlrpc interface
- imported package python-bugz

